<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:31 CEST 2019 -->
<title>FBResultSet (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBResultSet (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FBResultSetMetaData.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FBResultSet.html" target="_top">Frames</a></li>
<li><a href="FBResultSet.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.jdbc.AbstractResultSet">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Class FBResultSet" class="title">Class FBResultSet</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html" title="class in org.firebirdsql.jdbc">org.firebirdsql.jdbc.AbstractResultSet</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jdbc.FBResultSet</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a>, <a href="../../../org/firebirdsql/jdbc/FBObjectListener.FetcherListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.FetcherListener</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdResultSet.html" title="interface in org.firebirdsql.jdbc">FirebirdResultSet</a>, <a href="../../../org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc">Synchronizable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FBResultSet</span>
extends <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html" title="class in org.firebirdsql.jdbc">AbstractResultSet</a></pre>
<div class="block">JDBC 4.2 implementation of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql"><code>ResultSet</code></a> interface.
 <p>
 Contains methods specific to the JDBC 4.2 implementation, or exists if there are methods in higher JDBC versions
 that cannot be defined in JDBC 4.2.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:d_jencks@users.sourceforge.net">David Jencks</a>, <a href="mailto:rrokytskyy@users.sourceforge.net">Roman Rokytskyy</a>, <a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.jdbc.AbstractResultSet">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html" title="class in org.firebirdsql.jdbc">AbstractResultSet</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#connection">connection</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#gdsHelper">gdsHelper</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#row">row</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#rowDescriptor">rowDescriptor</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.sql.ResultSet">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#CLOSE_CURSORS_AT_COMMIT" title="class or interface in java.sql">CLOSE_CURSORS_AT_COMMIT</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#CONCUR_READ_ONLY" title="class or interface in java.sql">CONCUR_READ_ONLY</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#CONCUR_UPDATABLE" title="class or interface in java.sql">CONCUR_UPDATABLE</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#FETCH_FORWARD" title="class or interface in java.sql">FETCH_FORWARD</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#FETCH_REVERSE" title="class or interface in java.sql">FETCH_REVERSE</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#FETCH_UNKNOWN" title="class or interface in java.sql">FETCH_UNKNOWN</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#HOLD_CURSORS_OVER_COMMIT" title="class or interface in java.sql">HOLD_CURSORS_OVER_COMMIT</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#TYPE_FORWARD_ONLY" title="class or interface in java.sql">TYPE_FORWARD_ONLY</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#TYPE_SCROLL_INSENSITIVE" title="class or interface in java.sql">TYPE_SCROLL_INSENSITIVE</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#TYPE_SCROLL_SENSITIVE" title="class or interface in java.sql">TYPE_SCROLL_SENSITIVE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBResultSet.html#FBResultSet-org.firebirdsql.jdbc.FBConnection-org.firebirdsql.jdbc.FBStatement-org.firebirdsql.gds.ng.FbStatement-org.firebirdsql.jdbc.FBObjectListener.ResultSetListener-boolean-int-int-int-boolean-">FBResultSet</a></span>(<a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a>&nbsp;connection,
           <a href="../../../org/firebirdsql/jdbc/FBStatement.html" title="class in org.firebirdsql.jdbc">FBStatement</a>&nbsp;fbStatement,
           <a href="../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>&nbsp;stmt,
           <a href="../../../org/firebirdsql/jdbc/FBObjectListener.ResultSetListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.ResultSetListener</a>&nbsp;listener,
           boolean&nbsp;metaDataQuery,
           int&nbsp;rsType,
           int&nbsp;rsConcurrency,
           int&nbsp;rsHoldability,
           boolean&nbsp;cached)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBResultSet.html#FBResultSet-org.firebirdsql.gds.ng.fields.RowDescriptor-org.firebirdsql.jdbc.FBConnection-java.util.List-boolean-">FBResultSet</a></span>(<a href="../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
           <a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a>&nbsp;connection,
           <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&gt;&nbsp;rows,
           boolean&nbsp;retrieveBlobs)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBResultSet.html#FBResultSet-org.firebirdsql.gds.ng.fields.RowDescriptor-java.util.List-">FBResultSet</a></span>(<a href="../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
           <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&gt;&nbsp;rows)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBResultSet.html#FBResultSet-org.firebirdsql.gds.ng.fields.RowDescriptor-java.util.List-org.firebirdsql.jdbc.FBObjectListener.ResultSetListener-">FBResultSet</a></span>(<a href="../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
           <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&gt;&nbsp;rows,
           <a href="../../../org/firebirdsql/jdbc/FBObjectListener.ResultSetListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.ResultSetListener</a>&nbsp;listener)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBResultSet.html#updateObject-int-java.lang.Object-java.sql.SQLType-">updateObject</a></span>(int&nbsp;columnIndex,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;x,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;targetSqlType)</code></td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBResultSet.html#updateObject-int-java.lang.Object-java.sql.SQLType-int-">updateObject</a></span>(int&nbsp;columnIndex,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;x,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;targetSqlType,
            int&nbsp;scaleOrLength)</code></td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBResultSet.html#updateObject-java.lang.String-java.lang.Object-java.sql.SQLType-">updateObject</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnLabel,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;x,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;targetSqlType)</code></td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBResultSet.html#updateObject-java.lang.String-java.lang.Object-java.sql.SQLType-int-">updateObject</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnLabel,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;x,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;targetSqlType,
            int&nbsp;scaleOrLength)</code></td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.jdbc.AbstractResultSet">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html" title="class in org.firebirdsql.jdbc">AbstractResultSet</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#absolute-int-">absolute</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#addWarning-java.sql.SQLWarning-">addWarning</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#afterLast--">afterLast</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#allRowsFetched-org.firebirdsql.jdbc.FBFetcher-">allRowsFetched</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#beforeFirst--">beforeFirst</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#cancelRowUpdates--">cancelRowUpdates</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#checkCursorMove--">checkCursorMove</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#checkOpen--">checkOpen</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#checkScrollable--">checkScrollable</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#clearWarnings--">clearWarnings</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#close--">close</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#closeFields--">closeFields</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#deleteRow--">deleteRow</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#fetcherClosed-org.firebirdsql.jdbc.FBFetcher-">fetcherClosed</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#findColumn-java.lang.String-">findColumn</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#first--">first</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getArray-int-">getArray</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getArray-java.lang.String-">getArray</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getAsciiStream-int-">getAsciiStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getAsciiStream-java.lang.String-">getAsciiStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getBigDecimal-int-">getBigDecimal</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getBigDecimal-int-int-">getBigDecimal</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getBigDecimal-java.lang.String-">getBigDecimal</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getBigDecimal-java.lang.String-int-">getBigDecimal</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getBinaryStream-int-">getBinaryStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getBinaryStream-java.lang.String-">getBinaryStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getBlob-int-">getBlob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getBlob-java.lang.String-">getBlob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getBoolean-int-">getBoolean</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getBoolean-java.lang.String-">getBoolean</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getByte-int-">getByte</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getByte-java.lang.String-">getByte</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getBytes-int-">getBytes</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getBytes-java.lang.String-">getBytes</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getCharacterStream-int-">getCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getCharacterStream-java.lang.String-">getCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getClob-int-">getClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getClob-java.lang.String-">getClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getConcurrency--">getConcurrency</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getCursorName--">getCursorName</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getDate-int-">getDate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getDate-int-java.util.Calendar-">getDate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getDate-java.lang.String-">getDate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getDate-java.lang.String-java.util.Calendar-">getDate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getDouble-int-">getDouble</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getDouble-java.lang.String-">getDouble</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getExecutionPlan--">getExecutionPlan</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getExplainedExecutionPlan--">getExplainedExecutionPlan</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getFetchDirection--">getFetchDirection</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getFetchSize--">getFetchSize</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getField-int-">getField</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getField-int-boolean-">getField</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getField-java.lang.String-">getField</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getFloat-int-">getFloat</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getFloat-java.lang.String-">getFloat</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getHoldability--">getHoldability</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getInt-int-">getInt</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getInt-java.lang.String-">getInt</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getLong-int-">getLong</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getLong-java.lang.String-">getLong</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getMetaData--">getMetaData</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getNCharacterStream-int-">getNCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getNCharacterStream-java.lang.String-">getNCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getNClob-int-">getNClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getNClob-java.lang.String-">getNClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getNString-int-">getNString</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getNString-java.lang.String-">getNString</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getObject-int-">getObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getObject-int-java.lang.Class-">getObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getObject-int-java.util.Map-">getObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getObject-java.lang.String-">getObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getObject-java.lang.String-java.lang.Class-">getObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getObject-java.lang.String-java.util.Map-">getObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getRef-int-">getRef</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getRef-java.lang.String-">getRef</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getRow--">getRow</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getRowId-int-">getRowId</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getRowId-java.lang.String-">getRowId</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getShort-int-">getShort</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getShort-java.lang.String-">getShort</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getSQLXML-int-">getSQLXML</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getSQLXML-java.lang.String-">getSQLXML</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getStatement--">getStatement</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getString-int-">getString</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getString-java.lang.String-">getString</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getSynchronizationObject--">getSynchronizationObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getTime-int-">getTime</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getTime-int-java.util.Calendar-">getTime</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getTime-java.lang.String-">getTime</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getTime-java.lang.String-java.util.Calendar-">getTime</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getTimestamp-int-">getTimestamp</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getTimestamp-int-java.util.Calendar-">getTimestamp</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getTimestamp-java.lang.String-">getTimestamp</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getTimestamp-java.lang.String-java.util.Calendar-">getTimestamp</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getType--">getType</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getUnicodeStream-int-">getUnicodeStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getUnicodeStream-java.lang.String-">getUnicodeStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getURL-int-">getURL</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getURL-java.lang.String-">getURL</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#getWarnings--">getWarnings</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#insertRow--">insertRow</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#isAfterLast--">isAfterLast</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#isBeforeFirst--">isBeforeFirst</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#isClosed--">isClosed</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#isFirst--">isFirst</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#isLast--">isLast</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#isWrapperFor-java.lang.Class-">isWrapperFor</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#last--">last</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#moveToCurrentRow--">moveToCurrentRow</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#moveToInsertRow--">moveToInsertRow</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#next--">next</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#previous--">previous</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#refreshRow--">refreshRow</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#relative-int-">relative</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#rowChanged-org.firebirdsql.jdbc.FBFetcher-org.firebirdsql.gds.ng.fields.RowValue-">rowChanged</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#rowDeleted--">rowDeleted</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#rowInserted--">rowInserted</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#rowUpdated--">rowUpdated</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#setFetchDirection-int-">setFetchDirection</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#setFetchSize-int-">setFetchSize</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#unwrap-java.lang.Class-">unwrap</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateArray-int-java.sql.Array-">updateArray</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateArray-java.lang.String-java.sql.Array-">updateArray</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateAsciiStream-int-java.io.InputStream-">updateAsciiStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateAsciiStream-int-java.io.InputStream-int-">updateAsciiStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateAsciiStream-int-java.io.InputStream-long-">updateAsciiStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateAsciiStream-java.lang.String-java.io.InputStream-">updateAsciiStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateAsciiStream-java.lang.String-java.io.InputStream-int-">updateAsciiStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateAsciiStream-java.lang.String-java.io.InputStream-long-">updateAsciiStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateBigDecimal-int-java.math.BigDecimal-">updateBigDecimal</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateBigDecimal-java.lang.String-java.math.BigDecimal-">updateBigDecimal</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateBinaryStream-int-java.io.InputStream-">updateBinaryStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateBinaryStream-int-java.io.InputStream-int-">updateBinaryStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateBinaryStream-int-java.io.InputStream-long-">updateBinaryStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateBinaryStream-java.lang.String-java.io.InputStream-">updateBinaryStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateBinaryStream-java.lang.String-java.io.InputStream-int-">updateBinaryStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateBinaryStream-java.lang.String-java.io.InputStream-long-">updateBinaryStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateBlob-int-java.sql.Blob-">updateBlob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateBlob-int-java.io.InputStream-">updateBlob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateBlob-int-java.io.InputStream-long-">updateBlob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateBlob-java.lang.String-java.sql.Blob-">updateBlob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateBlob-java.lang.String-java.io.InputStream-">updateBlob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateBlob-java.lang.String-java.io.InputStream-long-">updateBlob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateBoolean-int-boolean-">updateBoolean</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateBoolean-java.lang.String-boolean-">updateBoolean</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateByte-int-byte-">updateByte</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateByte-java.lang.String-byte-">updateByte</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateBytes-int-byte:A-">updateBytes</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateBytes-java.lang.String-byte:A-">updateBytes</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateCharacterStream-int-java.io.Reader-">updateCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateCharacterStream-int-java.io.Reader-int-">updateCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateCharacterStream-int-java.io.Reader-long-">updateCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateCharacterStream-java.lang.String-java.io.Reader-">updateCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateCharacterStream-java.lang.String-java.io.Reader-int-">updateCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateCharacterStream-java.lang.String-java.io.Reader-long-">updateCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateClob-int-java.sql.Clob-">updateClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateClob-int-java.io.Reader-">updateClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateClob-int-java.io.Reader-long-">updateClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateClob-java.lang.String-java.sql.Clob-">updateClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateClob-java.lang.String-java.io.Reader-">updateClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateClob-java.lang.String-java.io.Reader-long-">updateClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateDate-int-java.sql.Date-">updateDate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateDate-java.lang.String-java.sql.Date-">updateDate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateDouble-int-double-">updateDouble</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateDouble-java.lang.String-double-">updateDouble</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateFloat-int-float-">updateFloat</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateFloat-java.lang.String-float-">updateFloat</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateInt-int-int-">updateInt</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateInt-java.lang.String-int-">updateInt</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateLong-int-long-">updateLong</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateLong-java.lang.String-long-">updateLong</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateNCharacterStream-int-java.io.Reader-">updateNCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateNCharacterStream-int-java.io.Reader-long-">updateNCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateNCharacterStream-java.lang.String-java.io.Reader-">updateNCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateNCharacterStream-java.lang.String-java.io.Reader-long-">updateNCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateNClob-int-java.sql.NClob-">updateNClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateNClob-int-java.io.Reader-">updateNClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateNClob-int-java.io.Reader-long-">updateNClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateNClob-java.lang.String-java.sql.NClob-">updateNClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateNClob-java.lang.String-java.io.Reader-">updateNClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateNClob-java.lang.String-java.io.Reader-long-">updateNClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateNString-int-java.lang.String-">updateNString</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateNString-java.lang.String-java.lang.String-">updateNString</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateNull-int-">updateNull</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateNull-java.lang.String-">updateNull</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateObject-int-java.lang.Object-">updateObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateObject-int-java.lang.Object-int-">updateObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateObject-java.lang.String-java.lang.Object-">updateObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateObject-java.lang.String-java.lang.Object-int-">updateObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateRef-int-java.sql.Ref-">updateRef</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateRef-java.lang.String-java.sql.Ref-">updateRef</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateRow--">updateRow</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateRowId-int-java.sql.RowId-">updateRowId</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateRowId-java.lang.String-java.sql.RowId-">updateRowId</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateShort-int-short-">updateShort</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateShort-java.lang.String-short-">updateShort</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateSQLXML-int-java.sql.SQLXML-">updateSQLXML</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateSQLXML-java.lang.String-java.sql.SQLXML-">updateSQLXML</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateString-int-java.lang.String-">updateString</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateString-java.lang.String-java.lang.String-">updateString</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateTime-int-java.sql.Time-">updateTime</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateTime-java.lang.String-java.sql.Time-">updateTime</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateTimestamp-int-java.sql.Timestamp-">updateTimestamp</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateTimestamp-java.lang.String-java.sql.Timestamp-">updateTimestamp</a>, <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#wasNull--">wasNull</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FBResultSet-org.firebirdsql.jdbc.FBConnection-org.firebirdsql.jdbc.FBStatement-org.firebirdsql.gds.ng.FbStatement-org.firebirdsql.jdbc.FBObjectListener.ResultSetListener-boolean-int-int-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBResultSet</h4>
<pre>public&nbsp;FBResultSet(<a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a>&nbsp;connection,
                   <a href="../../../org/firebirdsql/jdbc/FBStatement.html" title="class in org.firebirdsql.jdbc">FBStatement</a>&nbsp;fbStatement,
                   <a href="../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>&nbsp;stmt,
                   <a href="../../../org/firebirdsql/jdbc/FBObjectListener.ResultSetListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.ResultSetListener</a>&nbsp;listener,
                   boolean&nbsp;metaDataQuery,
                   int&nbsp;rsType,
                   int&nbsp;rsConcurrency,
                   int&nbsp;rsHoldability,
                   boolean&nbsp;cached)
            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="FBResultSet-org.firebirdsql.gds.ng.fields.RowDescriptor-java.util.List-org.firebirdsql.jdbc.FBObjectListener.ResultSetListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBResultSet</h4>
<pre>public&nbsp;FBResultSet(<a href="../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&gt;&nbsp;rows,
                   <a href="../../../org/firebirdsql/jdbc/FBObjectListener.ResultSetListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.ResultSetListener</a>&nbsp;listener)
            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="FBResultSet-org.firebirdsql.gds.ng.fields.RowDescriptor-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBResultSet</h4>
<pre>public&nbsp;FBResultSet(<a href="../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&gt;&nbsp;rows)
            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="FBResultSet-org.firebirdsql.gds.ng.fields.RowDescriptor-org.firebirdsql.jdbc.FBConnection-java.util.List-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FBResultSet</h4>
<pre>public&nbsp;FBResultSet(<a href="../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
                   <a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a>&nbsp;connection,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&gt;&nbsp;rows,
                   boolean&nbsp;retrieveBlobs)
            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="updateObject-int-java.lang.Object-java.sql.SQLType-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateObject</h4>
<pre>public&nbsp;void&nbsp;updateObject(int&nbsp;columnIndex,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;x,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;targetSqlType,
                         int&nbsp;scaleOrLength)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">
 <p>
 Jaybird delegates to <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateObject-int-java.lang.Object-int-"><code>AbstractResultSet.updateObject(int, Object, int)</code></a> and ignores the value of <code>targetSqlType</code>
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="updateObject-java.lang.String-java.lang.Object-java.sql.SQLType-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateObject</h4>
<pre>public&nbsp;void&nbsp;updateObject(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnLabel,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;x,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;targetSqlType,
                         int&nbsp;scaleOrLength)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">
 <p>
 Jaybird delegates to <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateObject-java.lang.String-java.lang.Object-int-"><code>AbstractResultSet.updateObject(String, Object, int)</code></a> and ignores the value of <code>targetSqlType</code>
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="updateObject-int-java.lang.Object-java.sql.SQLType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateObject</h4>
<pre>public&nbsp;void&nbsp;updateObject(int&nbsp;columnIndex,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;x,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;targetSqlType)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">
 <p>
 Jaybird delegates to <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateObject-int-java.lang.Object-"><code>AbstractResultSet.updateObject(int, Object)</code></a> and ignores the value of <code>targetSqlType</code>
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="updateObject-java.lang.String-java.lang.Object-java.sql.SQLType-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>updateObject</h4>
<pre>public&nbsp;void&nbsp;updateObject(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnLabel,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;x,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;targetSqlType)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">
 <p>
 Jaybird delegates to <a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html#updateObject-java.lang.String-java.lang.Object-"><code>AbstractResultSet.updateObject(String, Object)</code></a> and ignores the value of <code>targetSqlType</code>
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FBResultSetMetaData.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FBResultSet.html" target="_top">Frames</a></li>
<li><a href="FBResultSet.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.jdbc.AbstractResultSet">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
